type Query{
    forecastWeatherInfo(date: String, forecastedTime: String, latitude: Float, longitude: Float): [WeatherInfo]
    historicalWeatherInfo(startDate: String, latitude: Float, longitude: Float, endDate: String): [WeatherInfo]
}

type WeatherInfo{
    timestamp: String,
    latitude: Float,
    longitude: Float,
    forecastedTime: String

    temperature: String,
    apparent_temperature: String,
    soil_temperature: String,
    relative_humidity: String,
    dewpoint: String,
    pressure: String,
    surface_pressure: String,
    cloudcover: String,
    cloudcover_low: String,
    cloudcover_mid: String,
    cloudcover_high: String,
    wind_speed: String,
    wind_speed_high: String,
    wind_direction: String,
    wind_direction_high: String,
    wind_gust_speed: String,
    global_horizontal_irradiance: String,
    direct_irradiance: String,
    direct_normal_irradiance: String,
    diffuse_horizontal_irradiance: String,
    precipitation: String,
    snow: String,
    rain: String
}
